com.beaglebuddy.id3.pojo

## Class SynchronizedLyric

- java.lang.Object
- - com.beaglebuddy.id3.pojo.SynchronizedLyric

-     public class SynchronizedLyric
      extends java.lang.Object

  An ID3v2.x synchronized lyric consists of some text and a corresponding timestamp specifying when the text occurs in the .mp3 file.

  Synchronized Lyric Fields
  | Field | Description
  --- | --- | ---
  1. | text | the text of the lyric.
  2. | timeStamp | when the lyric occurs within the song. See `TimeStampFormat` for a list of the supported kinds of time stamps.

  An example of a synchronized lyric using ms as the time stamp unit is: ``

          SynchronizedLyric[] synchronizedLyrics = {new SynchronizedLyric("Tom-"   , 20350),
                                                    new SynchronizedLyric("my"     , 20400),
                                                    new SynchronizedLyric("used"   , 20625),
                                                    new SynchronizedLyric("to"     , 20700),
                                                    new SynchronizedLyric("work"   , 20800),
                                                    new SynchronizedLyric("on"     , 20900),
                                                    new SynchronizedLyric("the"    , 21000),
                                                    new SynchronizedLyric("docks"  , 21100),
                                                    new SynchronizedLyric("Un-"    , 22800),
                                                    new SynchronizedLyric("ions"   , 22900),
                                                    new SynchronizedLyric("been"   , 23000),
                                                    new SynchronizedLyric("on"     , 23100),
                                                    new SynchronizedLyric("strike" , 23200),
                                                    new SynchronizedLyric("He's"   , 23800),
                                                    new SynchronizedLyric("down"   , 23900),
                                                    new SynchronizedLyric("on"     , 24000),
                                                    new SynchronizedLyric("his"    , 24100),
                                                    new SynchronizedLyric("luck"   , 24200),
                                                    new SynchronizedLyric("it's"   , 25000),
                                                    new SynchronizedLyric("tough"  , 25300),
                                                    new SynchronizedLyric("so"     , 26900),
                                                    new SynchronizedLyric("tough"  , 27200)};

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynchronizedLyric(java.lang.String text, int timeStamp)` constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` gets the lyric text.
    `int` | `getTimeStamp()` gets when the lyric is sung/spoken in the song.
    `java.lang.String` | `toString()` gets a string representation of the synchronized lyric.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizedLyric

          public SynchronizedLyric(java.lang.String text,
                           int timeStamp)

      constructor
      Parameters:
        `text` - the text of the lyric, usually a syllable, word, phrase, or sentance.
        `timeStamp` - location within the .mp3 audio file where the the synchronized lyric occurs.

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      gets the lyric text.
      Returns:
        the lyric.

    - #### getTimeStamp

          public int getTimeStamp()

      gets when the lyric is sung/spoken in the song.
      Returns:
        when the lyric is sung/spoken in the song.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the synchronized lyric.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the synchronized lyric.